<?php
// Ensure this is being run within WordPress
if (!defined('ABSPATH')) {
    die('Direct access not allowed');
}

get_header();
?>

<div style="padding: 20px;">
    <h2>Weather Map Test</h2>
    
    <!-- Map Container -->
    <div id="weather-map" style="width: 100%; height: 400px; border: 1px solid #ccc;"></div>

    <script>
        jQuery(document).ready(function($) {
            // Log if jQuery is loaded
            console.log('jQuery version:', $.fn.jquery);

            // Log if Leaflet is loaded
            console.log('Leaflet loaded:', typeof L !== 'undefined');

            // Simple map initialization
            if (typeof L !== 'undefined') {
                var map = L.map('weather-map').setView([44.9778, -93.2650], 13);
                
                L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
                    attribution: '© OpenStreetMap contributors'
                }).addTo(map);

                L.marker([44.9778, -93.2650])
                    .addTo(map)
                    .bindPopup('Minneapolis, MN')
                    .openPopup();
            } else {
                document.getElementById('weather-map').innerHTML = 'Error: Leaflet not loaded';
            }
        });
    </script>
</div>

<?php get_footer(); ?>
