jQuery(document).ready(function($) {
    $('.weather-hourly-chart-container').each(function() {
        const container = $(this);
        const canvas = container.find('canvas')[0];
        const chartData = JSON.parse(container.attr('data-chart-data'));
        
        new Chart(canvas, {
            type: 'line',
            data: {
                labels: chartData.hours,
                datasets: [{
                    label: 'Temperature (°F)',
                    data: chartData.temperatures,
                    borderColor: '#FF6384',
                    backgroundColor: 'rgba(255, 99, 132, 0.1)',
                    tension: 0.4,
                    fill: true
                }]
            },
            options: {
                responsive: true,
                maintainAspectRatio: false,
                plugins: {
                    tooltip: {
                        callbacks: {
                            afterLabel: function(context) {
                                const dataIndex = context.dataIndex;
                                return [
                                    'Conditions: ' + chartData.conditions[dataIndex],
                                    'Wind: ' + chartData.winds[dataIndex]
                                ];
                            }
                        }
                    }
                },
                scales: {
                    y: {
                        beginAtZero: false,
                        title: {
                            display: true,
                            text: 'Temperature (°F)'
                        }
                    },
                    x: {
                        title: {
                            display: true,
                            text: 'Time'
                        }
                    }
                }
            }
        });
    });
});
