<?php
/**
 * Weather Page Template
 */

if (!defined('ABSPATH')) {
    exit;
}

// Get location settings
$location = get_option('newspaper_ai_weather_location', array(
    'lat' => '',
    'lng' => '',
    'city' => '',
    'state' => ''
));

?>
<div class="wrap">
    <h1>Weather Reporter</h1>

    <div class="notice notice-info">
        <p>Current Location: <strong><?php echo esc_html($location['city']); ?>, <?php echo esc_html($location['state']); ?></strong></p>
        <p>Coordinates: <?php echo esc_html($location['lat']); ?>, <?php echo esc_html($location['lng']); ?></p>
    </div>

    <div class="card" style="max-width: 600px; margin-top: 20px;">
        <h2 class="title">Generate Weather Report</h2>
        <p>Click the button below to generate a new weather report post. The report will be created as a draft that you can review before publishing.</p>
        
        <form method="post" action="<?php echo esc_url(admin_url('admin-post.php')); ?>" style="margin: 20px 0;">
            <?php wp_nonce_field('newspaper_ai_test_weather', 'newspaper_ai_nonce'); ?>
            <input type="hidden" name="action" value="test_weather_report">
            <button type="submit" name="test_weather_report" class="button button-primary button-large">
                <i class="dashicons dashicons-cloud" style="margin-top: 4px;"></i>
                Generate Weather Report
            </button>
        </form>
    </div>
</div>
