<?php
if (!defined('ABSPATH')) {
    exit;
}
?>
<div class="wrap newspaper-ai-admin">
    <h1><?php echo esc_html__('Newspaper AI Plugin', 'newspaper-ai'); ?></h1>
    
    <?php if (!newspaper_ai_is_premium()): ?>
    <div class="newspaper-ai-upgrade-notice">
        <h2><?php echo esc_html__('Upgrade to Premium', 'newspaper-ai'); ?></h2>
        <p><?php echo esc_html__('Unlock all features including AI-assisted writing, transcription, obituary formatting, and style editing.', 'newspaper-ai'); ?></p>
        <a href="<?php echo esc_url(newspaper_ai_get_upgrade_url()); ?>" class="button button-primary"><?php echo esc_html__('Upgrade Now', 'newspaper-ai'); ?></a>
    </div>
    <?php endif; ?>

    <div class="newspaper-ai-modules">
        <!-- Weather Module (Free) -->
        <div class="newspaper-ai-module">
            <h2><?php echo esc_html__('Weather Reports', 'newspaper-ai'); ?></h2>
            <p><?php echo esc_html__('Generate localized weather reports with AI-powered insights.', 'newspaper-ai'); ?></p>
            <a href="<?php echo esc_url(admin_url('admin.php?page=newspaper-ai-weather')); ?>" class="button button-secondary"><?php echo esc_html__('Manage Weather Reports', 'newspaper-ai'); ?></a>
        </div>

        <!-- Premium Modules -->
        <?php
        $premium_modules = array(
            'writing' => array(
                'title' => __('AI Writing Assistant', 'newspaper-ai'),
                'description' => __('Draft articles and generate content with AI assistance.', 'newspaper-ai'),
            ),
            'transcription' => array(
                'title' => __('Transcription', 'newspaper-ai'),
                'description' => __('Convert audio interviews into text and get AI-powered summaries.', 'newspaper-ai'),
            ),
            'obituaries' => array(
                'title' => __('Obituary Manager', 'newspaper-ai'),
                'description' => __('Format and manage obituaries with automated tools.', 'newspaper-ai'),
            ),
            'style' => array(
                'title' => __('Style Editor', 'newspaper-ai'),
                'description' => __('Ensure consistent style and tone across all articles.', 'newspaper-ai'),
            ),
        );

        foreach ($premium_modules as $module => $data): ?>
            <div class="newspaper-ai-module <?php echo !newspaper_ai_is_premium() ? 'locked' : ''; ?>">
                <h2>
                    <?php echo esc_html($data['title']); ?>
                    <?php if (!newspaper_ai_is_premium()): ?>
                        <span class="dashicons dashicons-lock"></span>
                    <?php endif; ?>
                </h2>
                <p><?php echo esc_html($data['description']); ?></p>
                <?php if (newspaper_ai_is_premium()): ?>
                    <a href="<?php echo esc_url(admin_url('admin.php?page=newspaper-ai-' . $module)); ?>" class="button button-secondary">
                        <?php echo esc_html__('Open Module', 'newspaper-ai'); ?>
                    </a>
                <?php else: ?>
                    <a href="<?php echo esc_url(newspaper_ai_get_upgrade_url()); ?>" class="button button-secondary">
                        <?php echo esc_html__('Upgrade to Access', 'newspaper-ai'); ?>
                    </a>
                <?php endif; ?>
            </div>
        <?php endforeach; ?>
    </div>
</div>
